import request from '@/utils/request'

// 查询用户积分记录列表
export function listMallMemberIntegral(query) {
  return request({
    url: '/mall/mallMemberIntegral/list',
    method: 'get',
    params: query
  })
}

// 查询用户积分记录详细
export function getMallMemberIntegral(integralId) {
  return request({
    url: '/mall/mallMemberIntegral/' + integralId,
    method: 'get'
  })
}

// 新增用户积分记录
export function addMallMemberIntegral(data) {
  return request({
    url: '/mall/mallMemberIntegral',
    method: 'post',
    data: data
  })
}

// 修改用户积分记录
export function updateMallMemberIntegral(data) {
  return request({
    url: '/mall/mallMemberIntegral',
    method: 'put',
    data: data
  })
}

// 删除用户积分记录
export function delMallMemberIntegral(integralId) {
  return request({
    url: '/mall/mallMemberIntegral/' + integralId,
    method: 'delete'
  })
}

// 导出用户积分记录
export function exportMallMemberIntegral(query) {
  return request({
    url: '/mall/mallMemberIntegral/export',
    method: 'get',
    params: query
  })
}